Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkInteractorStyleJoystickActor Class Reference

`#include <vtkInteractorStyleJoystickActor.h>`

Inheritance diagram for vtkInteractorStyleJoystickActor:

[legend]
Collaboration diagram for vtkInteractorStyleJoystickActor:

[legend]
List of all members.

## Detailed Description

manipulate objects in the scene independently of one another

Date:
  2002/05/28 03:33:50

Revision:
  1.16

The class vtkInteractorStyleJoystickActor allows the user to interact with (rotate, zoom, etc.) separate objects in the scene independent of each other. The position of the mouse relative to the center of the object determines the speed of the object's motion. The mouse's velocity detemines the acceleration of the object's motion, so the object will continue moving even when the mouse is not moving. For a 3-button mouse, the left button is for rotation, the right button for zooming, the middle button for panning, and ctrl + left button for spinning. (With fewer mouse buttons, ctrl + shift + left button is for zooming, and shift + left button is for panning.)

See also:
  vtkInteractorStyleJoystickCamera vtkInteractorStyleTrackballActor vtkInteractorStyleTrackballCamera

Events:
  vtkCommand::InteractionEvent

Created by:
  - Henderson, Amy

CVS contributions (if > 5%):
  - Barre, Sebastien (49%)
  - Henderson, Amy (44%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkInteractorStyleJoystickActor.h)`
  - .`cxx` (`/Rendering/vtkInteractorStyleJoystickActor.cxx)`

Definition at line 60 of file vtkInteractorStyleJoystickActor.h.

## Public Types
typedef vtkInteractorStyle | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | Rotate ()
virtual void | Spin ()
virtual void | Pan ()
virtual void | Dolly ()
virtual void | UniformScale ()
virtual void | OnMouseMove ()
virtual void | OnLeftButtonDown ()
virtual void | OnLeftButtonUp ()
virtual void | OnMiddleButtonDown ()
virtual void | OnMiddleButtonUp ()
virtual void | OnRightButtonDown ()
virtual void | OnRightButtonUp ()
## Static Public Methods
vtkInteractorStyleJoystickActor * | New ()
int | IsTypeOf (const char *type)
vtkInteractorStyleJoystickActor * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkInteractorStyleJoystickActor ()
| ~vtkInteractorStyleJoystickActor ()
void | FindPickedActor (int x, int y)
void | Prop3DTransform (vtkProp3D *prop3D, double *boxCenter, int numRotation, double **rotate, double *scale)
void | Prop3DTransform (vtkProp3D *prop3D, float *boxCenter, int NumRotation, double **rotate, double *scale)
## Protected Attributes
float | MotionFactor
vtkProp3D * | InteractionProp
vtkCellPicker * | InteractionPicker

## Member Typedef Documentation

typedef vtkInteractorStyle vtkInteractorStyleJoystickActor::Superclass

| Reimplemented from vtkInteractorStyle. Definition at line 65 of file vtkInteractorStyleJoystickActor.h.

## Constructor & Destructor Documentation

vtkInteractorStyleJoystickActor::vtkInteractorStyleJoystickActor | ( |  | ) | `[protected]`

vtkInteractorStyleJoystickActor::~vtkInteractorStyleJoystickActor | ( |  | ) | `[protected]`

## Member Function Documentation

vtkInteractorStyleJoystickActor* vtkInteractorStyleJoystickActor::New | ( |  | ) | `[static]`

| This class must be supplied with a vtkRenderWindowInteractor wrapper or parent. This class should not normally be instantiated by application programmers. Reimplemented from vtkInteractorStyle.

virtual const char* vtkInteractorStyleJoystickActor::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkInteractorStyle.

int vtkInteractorStyleJoystickActor::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkInteractorStyle.

virtual int vtkInteractorStyleJoystickActor::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkInteractorStyle.

vtkInteractorStyleJoystickActor* vtkInteractorStyleJoystickActor::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkInteractorStyle.

void vtkInteractorStyleJoystickActor::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkInteractorStyle.

virtual void vtkInteractorStyleJoystickActor::OnMouseMove | ( |  | ) | `[virtual]`

| Event bindings controlling the effects of pressing mouse buttons or moving the mouse. Reimplemented from vtkInteractorStyle.

virtual void vtkInteractorStyleJoystickActor::OnLeftButtonDown | ( |  | ) | `[virtual]`

| Event bindings controlling the effects of pressing mouse buttons or moving the mouse. Reimplemented from vtkInteractorStyle.

virtual void vtkInteractorStyleJoystickActor::OnLeftButtonUp | ( |  | ) | `[virtual]`

| Event bindings controlling the effects of pressing mouse buttons or moving the mouse. Reimplemented from vtkInteractorStyle.

virtual void vtkInteractorStyleJoystickActor::OnMiddleButtonDown | ( |  | ) | `[virtual]`

| Event bindings controlling the effects of pressing mouse buttons or moving the mouse. Reimplemented from vtkInteractorStyle.

virtual void vtkInteractorStyleJoystickActor::OnMiddleButtonUp | ( |  | ) | `[virtual]`

| Event bindings controlling the effects of pressing mouse buttons or moving the mouse. Reimplemented from vtkInteractorStyle.

virtual void vtkInteractorStyleJoystickActor::OnRightButtonDown | ( |  | ) | `[virtual]`

| Event bindings controlling the effects of pressing mouse buttons or moving the mouse. Reimplemented from vtkInteractorStyle.

virtual void vtkInteractorStyleJoystickActor::OnRightButtonUp | ( |  | ) | `[virtual]`

| Event bindings controlling the effects of pressing mouse buttons or moving the mouse. Reimplemented from vtkInteractorStyle.

virtual void vtkInteractorStyleJoystickActor::Rotate | ( |  | ) | `[virtual]`

| These methods for the different interactions in different modes are overridden in subclasses to perform the correct motion. Since they might be called from OnTimer, they do not have mouse coord parameters (use interactor's GetEventPosition and GetLastEventPosition) Reimplemented from vtkInteractorStyle.

virtual void vtkInteractorStyleJoystickActor::Spin | ( |  | ) | `[virtual]`

| These methods for the different interactions in different modes are overridden in subclasses to perform the correct motion. Since they might be called from OnTimer, they do not have mouse coord parameters (use interactor's GetEventPosition and GetLastEventPosition) Reimplemented from vtkInteractorStyle.

virtual void vtkInteractorStyleJoystickActor::Pan | ( |  | ) | `[virtual]`

| These methods for the different interactions in different modes are overridden in subclasses to perform the correct motion. Since they might be called from OnTimer, they do not have mouse coord parameters (use interactor's GetEventPosition and GetLastEventPosition) Reimplemented from vtkInteractorStyle.

virtual void vtkInteractorStyleJoystickActor::Dolly | ( |  | ) | `[virtual]`

| These methods for the different interactions in different modes are overridden in subclasses to perform the correct motion. Since they might be called from OnTimer, they do not have mouse coord parameters (use interactor's GetEventPosition and GetLastEventPosition) Reimplemented from vtkInteractorStyle.

virtual void vtkInteractorStyleJoystickActor::UniformScale | ( |  | ) | `[virtual]`

| These methods for the different interactions in different modes are overridden in subclasses to perform the correct motion. Since they might be called from OnTimer, they do not have mouse coord parameters (use interactor's GetEventPosition and GetLastEventPosition) Reimplemented from vtkInteractorStyle.

void vtkInteractorStyleJoystickActor::FindPickedActor | ( | int | x,
|  | int | y
| ) | `[protected]`

void vtkInteractorStyleJoystickActor::Prop3DTransform | ( | vtkProp3D * | prop3D,
|  | double * | boxCenter,
|  | int | numRotation,
|  | double ** | rotate,
|  | double * | scale
| ) | `[protected]`

void vtkInteractorStyleJoystickActor::Prop3DTransform | ( | vtkProp3D * | prop3D,
|  | float * | boxCenter,
|  | int | NumRotation,
|  | double ** | rotate,
|  | double * | scale
| ) | `[protected]`

## Member Data Documentation

float vtkInteractorStyleJoystickActor::MotionFactor`[protected]`

| Definition at line 108 of file vtkInteractorStyleJoystickActor.h.

vtkProp3D* vtkInteractorStyleJoystickActor::InteractionProp`[protected]`

| Definition at line 110 of file vtkInteractorStyleJoystickActor.h.

vtkCellPicker* vtkInteractorStyleJoystickActor::InteractionPicker`[protected]`

| Definition at line 111 of file vtkInteractorStyleJoystickActor.h.

The documentation for this class was generated from the following file:

- Rendering/vtkInteractorStyleJoystickActor.h